Bug 1610110 (CVE-2018-14617)

Summary: CVE-2018-14617 kernel: NULL pointer dereference in fs/hfsplus/dir.c:hfsplus_lookup() when operating on a file in a crafted hfs+ image
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abhgupta, airlied, aquini, bhu, blc, bskeggs, dbaker, dhoward, esammons, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jokerman, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, lwang, matt, mchehab, mcressma, mguzik, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, skozina, slawomir, steved, sthangav, trankin, vdronov, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
An issue was discovered in the Linux kernel. A NULL pointer dereference and panic in hfsplus_lookup() in the fs/hfsplus/dir.c function can occur when opening a file (that is purportedly a hard link) in an hfs+ filesystem that has malformed catalog data, and is mounted read-only without a metadata directory.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-02 16:03:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1610112, 1611687    
Bug Blocks: 1610113    

Description Sam Fowler 2018-07-31 01:55:35 UTC
An issue was discovered in the Linux kernel. There is a NULL pointer dereference and panic in hfsplus_lookup() in fs/hfsplus/dir.c when opening a file (that is purportedly a hard link) in an hfs+ filesystem that has malformed catalog data, and is mounted read-only without a metadata directory.

References:

https://bugzilla.kernel.org/show_bug.cgi?id=200297

A suggested upstream patch:

https://www.spinics.net/lists/linux-fsdevel/msg130021.html

Comment 3 Vladis Dronov 2018-08-02 15:58:56 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1611687]

Comment 4 Vladis Dronov 2018-08-02 16:01:44 UTC
Note:

An HFS+ filesystem is not built for any Red Hat products except for Red Hat Enterprise Linux 5, which is no longer in development and is in Extended Life Phase (https://access.redhat.com/support/policy/updates/errata/#Extended_Life_Cycle_Phase).

Comment 5 Wade Mealing 2018-08-09 07:50:39 UTC
Mitigation:

If the HFS+ filesystem is not in use, this module can be blacklisted and prevented from being loaded. See https://access.redhat.com/solutions/41278 for instructions on how to blacklist the 'hfsplus.ko' kernel module.